> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Liveness probe

> Unauthenticated liveness probe. Returns the literal text "pong".



## OpenAPI

````yaml /api-reference/derivatives-predictions-api/rest-api/cpm-spec.json get /api/ping
openapi: 3.0.3
info:
  title: CPM Public REST API
  version: 0.1.0
servers:
  - url: https://api.example.com
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /api/ping:
    get:
      tags:
        - Health
      summary: Liveness probe
      description: Unauthenticated liveness probe. Returns the literal text "pong".
      operationId: ping
      parameters: []
      responses:
        '200':
          description: Service is live
          content:
            text/plain:
              schema:
                type: string
      deprecated: false
      security: []
components:
  securitySchemes:
    auth_api_key:
      name: CB-ACCESS-KEY
      description: The API key string for the request
      in: header
      type: apiKey
    auth_timestamp:
      name: CB-ACCESS-TIMESTAMP
      description: The request timestamp (epoch seconds)
      in: header
      type: apiKey
    auth_passphrase:
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase for the API key
      in: header
      type: apiKey
    auth_signature:
      name: CB-ACCESS-SIGN
      description: HMAC SHA-256 signature over TIMESTAMP + METHOD + REQUEST_PATH + BODY
      in: header
      type: apiKey

````